<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/TrackStateCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackStateCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_state_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_collection_8h.html">eicd/TrackStateCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a5b799f3f7e95fd5de56770a83f2f5db3">   13</a></span>&#160;<a class="code" href="classeic_1_1_track_state_collection.html#a5b799f3f7e95fd5de56770a83f2f5db3">TrackStateCollection::TrackStateCollection</a>() :</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  m_isValid(false), m_collectionID(0), m_entries(),</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  m_data(new <a class="code" href="namespaceeic.html#abfc2f3e497cce7a27cdac91c0c03c395">TrackStateDataContainer</a>()) {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#af735714ad4037e3d8a965160749d2cf8">   18</a></span>&#160;<a class="code" href="classeic_1_1_track_state_collection.html#af735714ad4037e3d8a965160749d2cf8">TrackStateCollection::~TrackStateCollection</a>() {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <a class="code" href="classeic_1_1_track_state_collection.html#a2e08b9881634e0e87e0a374cb63fcca2">clear</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#ae7b47fe64f2e38cfdf53c6bc9670693b">   23</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection.html#ae7b47fe64f2e38cfdf53c6bc9670693b">TrackStateCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>(m_entries[index]);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#ae11ee2a6fe3ad738ccfd7f986b65b11f">   27</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection.html#ae11ee2a6fe3ad738ccfd7f986b65b11f">TrackStateCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>(m_entries.at(index));</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a18da10d2d07f129dc3951655ecd05ad1">   31</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection.html#ae7b47fe64f2e38cfdf53c6bc9670693b">TrackStateCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>(m_entries[index]);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#adb4a6b7055dbf0ab879c327387452ef7">   35</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection.html#ae11ee2a6fe3ad738ccfd7f986b65b11f">TrackStateCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>(m_entries.at(index));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">   39</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">TrackStateCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#aa6859770356402a62ee9ce9f7d8df037">   43</a></span>&#160;<a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection.html#aa6859770356402a62ee9ce9f7d8df037">TrackStateCollection::create</a>() {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>());</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  obj-&gt;id = {int(m_entries.size() - 1), m_collectionID};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>(obj);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a2e08b9881634e0e87e0a374cb63fcca2">   50</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state_collection.html#a2e08b9881634e0e87e0a374cb63fcca2">TrackStateCollection::clear</a>() {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a520e57f540bcb467a7cd885e6446d06e">   56</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state_collection.html#a520e57f540bcb467a7cd885e6446d06e">TrackStateCollection::prepareForWrite</a>() {</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a> = m_entries.size();</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a>);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#af8005629c10972cad2c63636c28b31d8">   65</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state_collection.html#af8005629c10972cad2c63636c28b31d8">TrackStateCollection::prepareAfterRead</a>() {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data) {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    ++index;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a50d15c9307ed50c90ea53e039fb26790">   76</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state_collection.html#a50d15c9307ed50c90ea53e039fb26790">TrackStateCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) {</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#ac949436c72e437d67fb893910534c33c">   81</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state_collection.html#ac949436c72e437d67fb893910534c33c">TrackStateCollection::push_back</a>(<a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a> <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a> = m_entries.size();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    obj-&gt;id = {<a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a>, m_collectionID};</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    m_entries.push_back(obj);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument(<span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection&quot;</span>);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection.html#a4939d9c731c96afa0c10dc35dc1bf320">   93</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state_collection.html#a4939d9c731c96afa0c10dc35dc1bf320">TrackStateCollection::setBuffer</a>(<span class="keywordtype">void</span>* address) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#abfc2f3e497cce7a27cdac91c0c03c395">TrackStateDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection_iterator.html#a6b9dcdfa5874dc5e6fcd6e43b22f6c6f">   98</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state_collection_iterator.html#a6b9dcdfa5874dc5e6fcd6e43b22f6c6f">TrackStateCollectionIterator::operator*</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;}</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection_iterator.html#a0b9ea8ab5fa576ff0873cd117260af3b">  103</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>* <a class="code" href="classeic_1_1_track_state_collection_iterator.html#a0b9ea8ab5fa576ff0873cd117260af3b">TrackStateCollectionIterator::operator-&gt;</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state_collection_iterator.html#add9cc7bfe50e448dfb80c612e1b79658">  108</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state_collection_iterator.html">TrackStateCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_track_state_collection_iterator.html#add9cc7bfe50e448dfb80c612e1b79658">TrackStateCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  ++m_index;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="namespaceeic.html#a06183fd19543f6f08aaca6a37c34ff34">  113</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state_collection.html">TrackStateCollection</a>&amp; v) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> old_flags = o.flags();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;          id:    location:          d0:         phi:       omega:          z0:   tanLambda:referencePoint:&quot;</span> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a>(); ++i) {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#ae76d14606cb111642580bf605222d0dc">location</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#a6d127d49a52fb05960945cdacee5fd7b">d0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#a6d2a22e92b33cfc41b9655177020b8b8">phi</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#aaa7cf98659e27ad1751faa0844083979">omega</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#a400139f4a41381f2c1bd7ab3e7fd980c">z0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_track_state_collection.html#ae420137bd4e1dfc7e61329847cf6d707">tanLambda</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  }</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;}</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="ttc" id="classeic_1_1_track_state_collection_html_ae420137bd4e1dfc7e61329847cf6d707"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#ae420137bd4e1dfc7e61329847cf6d707">eic::TrackStateCollection::tanLambda</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; tanLambda() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00220">TrackStateCollection.h:220</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a520e57f540bcb467a7cd885e6446d06e"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a520e57f540bcb467a7cd885e6446d06e">eic::TrackStateCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00056">TrackStateCollection.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a6d127d49a52fb05960945cdacee5fd7b"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a6d127d49a52fb05960945cdacee5fd7b">eic::TrackStateCollection::d0</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; d0() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00180">TrackStateCollection.h:180</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a400139f4a41381f2c1bd7ab3e7fd980c"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a400139f4a41381f2c1bd7ab3e7fd980c">eic::TrackStateCollection::z0</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; z0() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00210">TrackStateCollection.h:210</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a5b799f3f7e95fd5de56770a83f2f5db3"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a5b799f3f7e95fd5de56770a83f2f5db3">eic::TrackStateCollection::TrackStateCollection</a></div><div class="ttdeci">TrackStateCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00013">TrackStateCollection.cc:13</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html"><div class="ttname"><a href="classeic_1_1_track_state_collection.html">eic::TrackStateCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00050">TrackStateCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a4939d9c731c96afa0c10dc35dc1bf320"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a4939d9c731c96afa0c10dc35dc1bf320">eic::TrackStateCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00093">TrackStateCollection.cc:93</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_iterator_html_a6b9dcdfa5874dc5e6fcd6e43b22f6c6f"><div class="ttname"><a href="classeic_1_1_track_state_collection_iterator.html#a6b9dcdfa5874dc5e6fcd6e43b22f6c6f">eic::TrackStateCollectionIterator::operator*</a></div><div class="ttdeci">const TrackState operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00098">TrackStateCollection.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_ac949436c72e437d67fb893910534c33c"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#ac949436c72e437d67fb893910534c33c">eic::TrackStateCollection::push_back</a></div><div class="ttdeci">void push_back(ConstTrackState object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00081">TrackStateCollection.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html"><div class="ttname"><a href="classeic_1_1_track_state.html">eic::TrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00026">TrackState.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a6d2a22e92b33cfc41b9655177020b8b8"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a6d2a22e92b33cfc41b9655177020b8b8">eic::TrackStateCollection::phi</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; phi() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00190">TrackStateCollection.h:190</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_iterator_html_add9cc7bfe50e448dfb80c612e1b79658"><div class="ttname"><a href="classeic_1_1_track_state_collection_iterator.html#add9cc7bfe50e448dfb80c612e1b79658">eic::TrackStateCollectionIterator::operator++</a></div><div class="ttdeci">const TrackStateCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00108">TrackStateCollection.cc:108</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_ae11ee2a6fe3ad738ccfd7f986b65b11f"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#ae11ee2a6fe3ad738ccfd7f986b65b11f">eic::TrackStateCollection::at</a></div><div class="ttdeci">const TrackState at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00027">TrackStateCollection.cc:27</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a50d15c9307ed50c90ea53e039fb26790"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a50d15c9307ed50c90ea53e039fb26790">eic::TrackStateCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00076">TrackStateCollection.cc:76</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_aa6859770356402a62ee9ce9f7d8df037"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#aa6859770356402a62ee9ce9f7d8df037">eic::TrackStateCollection::create</a></div><div class="ttdeci">TrackState create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00043">TrackStateCollection.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_af8005629c10972cad2c63636c28b31d8"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#af8005629c10972cad2c63636c28b31d8">eic::TrackStateCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00065">TrackStateCollection.cc:65</a></div></div>
<div class="ttc" id="namespaceeic_html_abfc2f3e497cce7a27cdac91c0c03c395"><div class="ttname"><a href="namespaceeic.html#abfc2f3e497cce7a27cdac91c0c03c395">eic::TrackStateDataContainer</a></div><div class="ttdeci">std::vector&lt; TrackStateData &gt; TrackStateDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00026">TrackStateCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_iterator_html_a0b9ea8ab5fa576ff0873cd117260af3b"><div class="ttname"><a href="classeic_1_1_track_state_collection_iterator.html#a0b9ea8ab5fa576ff0873cd117260af3b">eic::TrackStateCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const TrackState * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00103">TrackStateCollection.cc:103</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a2e08b9881634e0e87e0a374cb63fcca2"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a2e08b9881634e0e87e0a374cb63fcca2">eic::TrackStateCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00050">TrackStateCollection.cc:50</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_ae76d14606cb111642580bf605222d0dc"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#ae76d14606cb111642580bf605222d0dc">eic::TrackStateCollection::location</a></div><div class="ttdeci">const std::array&lt; int, arraysize &gt; location() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00170">TrackStateCollection.h:170</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_aaa7cf98659e27ad1751faa0844083979"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#aaa7cf98659e27ad1751faa0844083979">eic::TrackStateCollection::omega</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; omega() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00200">TrackStateCollection.h:200</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html"><div class="ttname"><a href="classeic_1_1_track_state_obj.html">eic::TrackStateObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00018">TrackStateObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_ae7b47fe64f2e38cfdf53c6bc9670693b"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#ae7b47fe64f2e38cfdf53c6bc9670693b">eic::TrackStateCollection::operator[]</a></div><div class="ttdeci">const TrackState operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00023">TrackStateCollection.cc:23</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_track_state_collection_iterator.html">eic::TrackStateCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00029">TrackStateCollection.h:29</a></div></div>
<div class="ttc" id="_track_state_collection_8h_html"><div class="ttname"><a href="_track_state_collection_8h.html">TrackStateCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_a9c1ee13337de8b1a49e1864e6a913f9a"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">eic::TrackStateCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00039">TrackStateCollection.cc:39</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html_af735714ad4037e3d8a965160749d2cf8"><div class="ttname"><a href="classeic_1_1_track_state_collection.html#af735714ad4037e3d8a965160749d2cf8">eic::TrackStateCollection::~TrackStateCollection</a></div><div class="ttdeci">~TrackStateCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8cc_source.html#l00018">TrackStateCollection.cc:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
